apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaUser
metadata:
  name: kafbat-agent
  namespace: freeleaps-data-platform
  labels:
    strimzi.io/cluster: freeleaps-kafka-cluster
spec:
  authentication:
    type: scram-sha-512
  authorization:
    type: simple
    acls:
      - resource:
          type: topic
          name: "*"
          patternType: literal
        host: "*"
        operations:
          - Read
          - Delete
      - resource:
          type: topic
          name: "*"
          patternType: literal
        host: "*"
        operations:
          - DescribeConfigs
      - resource:
          type: group
          name: "*"
          patternType: literal
        host: "*"
        operations:
          - Describe
      - resource:
          type: cluster
          name: "*"
          patternType: literal
        host: "*"
        operations:
          - Describe
      - resource:
          type: cluster
          name: "*"
          patternType: literal
        host: "*"
        operations:
          - DescribeConfigs
